- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# ubixDiskLabel Struct Reference

`#include <ubixfs.h>`

Collaboration diagram for ubixDiskLabel:

[legend]

## Data Fields
uInt16 | driveType
uInt32 | magicNum
uInt32 | magicNum2
uInt16 | numPartitions
ubixDiskLabel::ubixPartitions | partitions [16]
## Data Structures
struct | ubixPartitions

## Detailed Description

Definition at line 71 of file ubixfs.h.

## Field Documentation

uInt16 ubixDiskLabel::driveType

Definition at line 74 of file ubixfs.h.

uInt32 ubixDiskLabel::magicNum

Definition at line 72 of file ubixfs.h.

Referenced by ubixfs_initialize().

uInt32 ubixDiskLabel::magicNum2

Definition at line 73 of file ubixfs.h.

Referenced by ubixfs_initialize().

uInt16 ubixDiskLabel::numPartitions

Definition at line 75 of file ubixfs.h.

struct ubixDiskLabel::ubixPartitions ubixDiskLabel::partitions[ 16 ]

Referenced by syncBat(), ubixfs_initialize(), ubixfs_loadData(), ubixFSmkDir(), ubixFSUnlink(), writeFileByte(), and writeUbixFS().

The documentation for this struct was generated from the following file:

- src/sys/include/ubixfs/ubixfs.h